GrailsCoreDependencies (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve

## [Java] Class GrailsCoreDependencies

- org.codehaus.groovy.grails.resolve.GrailsCoreDependencies

- Encapsulates information about the core dependencies of Grails.

  Authors:
    Graeme Rocher
    Luke Daley

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.Collection<Dependency>` | `buildDependencies` |
    `protected java.lang.String` | `cglibVersion` |
    `protected java.util.Collection<Dependency>` | `compileDependencies` |
    `protected java.util.Collection<Dependency>` | `docDependencies` |
    `java.lang.String` | `grailsVersion` |
    `protected java.lang.String` | `groovyVersion` |
    `protected java.lang.String` | `h2Version` |
    `boolean` | `java5compatible` |
    `protected java.lang.String` | `jaxbVersion` |
    `protected java.lang.String` | `junitVersion` |
    `protected java.lang.String` | `log4jVersion` |
    `protected java.util.Collection<Dependency>` | `providedDependencies` |
    `protected java.util.Collection<Dependency>` | `runtimeDependencies` |
    `protected java.lang.String` | `servletApiVersion` |
    `java.lang.String` | `servletVersion` |
    `protected java.lang.String` | `spockVersion` |
    `protected java.lang.String` | `springVersion` |
    `protected java.util.Collection<Dependency>` | `testDependencies` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsCoreDependencies (java.lang.String grailsVersion)`
    `GrailsCoreDependencies (java.lang.String grailsVersion, java.lang.String servletVersion)`
    `GrailsCoreDependencies (java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible, boolean isGrailsProject)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.Collection<Dependency>` | `getBuildDependencies()`
    `java.util.Collection<java.lang.String>` | `getBuildDependencyPatterns()`
    `java.util.Collection<Dependency>` | `getCompileDependencies()`
    `java.util.Collection<Dependency>` | `getDocDependencies()`
    `java.lang.String` | `getGrailsVersion()`
    `java.lang.String` | `getGroovyVersion()`
    `java.util.Collection<Dependency>` | `getProvidedDependencies()`
    `java.util.Collection<Dependency>` | `getRuntimeDependencies()`
    `java.lang.String` | `getServletVersion()`
    `java.lang.String` | `getSpringVersion()`
    `java.util.Collection<Dependency>` | `getTestDependencies()`
    `boolean` | `isJava5compatible()`
    `void` | `setJava5compatible(boolean java5compatible)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.util.Collection<Dependency> buildDependencies

    - #### protected java.lang.String cglibVersion

    - #### protected java.util.Collection<Dependency> compileDependencies

    - #### protected java.util.Collection<Dependency> docDependencies

    - #### public final java.lang.String grailsVersion

    - #### protected final java.lang.String groovyVersion

    - #### protected final java.lang.String h2Version

    - #### public boolean java5compatible

    - #### protected final java.lang.String jaxbVersion

    - #### protected java.lang.String junitVersion

    - #### protected final java.lang.String log4jVersion

    - #### protected java.util.Collection<Dependency> providedDependencies

    - #### protected java.util.Collection<Dependency> runtimeDependencies

    - #### protected java.lang.String servletApiVersion

    - #### public final java.lang.String servletVersion

    - #### protected java.lang.String spockVersion

    - #### protected final java.lang.String springVersion

    - #### protected java.util.Collection<Dependency> testDependencies

  - ### Constructor Detail

    - #### public GrailsCoreDependencies(java.lang.String grailsVersion)

    - #### public GrailsCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion)

    - #### public GrailsCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible, boolean isGrailsProject)

  - ### Method Detail

    - #### public java.util.Collection<Dependency> getBuildDependencies()

    - #### public java.util.Collection<java.lang.String> getBuildDependencyPatterns()

    - #### public java.util.Collection<Dependency> getCompileDependencies()

    - #### public java.util.Collection<Dependency> getDocDependencies()

    - #### public java.lang.String getGrailsVersion()

    - #### public java.lang.String getGroovyVersion()

    - #### public java.util.Collection<Dependency> getProvidedDependencies()

    - #### public java.util.Collection<Dependency> getRuntimeDependencies()

    - #### public java.lang.String getServletVersion()

    - #### public java.lang.String getSpringVersion()

    - #### public java.util.Collection<Dependency> getTestDependencies()

    - #### public boolean isJava5compatible()

    - #### public void setJava5compatible(boolean java5compatible)